Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 19-10-2018 08:46:53

bgiovinal
Membre
Inscription : 28-03-2017

debutant installation vmware

bonjour, je souhaiterais installer vmware workstation sur debian 9
lorsque j ouvre le fichier vmware une fenetre m indique qu il manque le kernel headers 4.9.0-8,
je l ai téléchargé, dans le terminal j ai écrit sous root: /home/moi/Téléchargements# apt install linux-headers 4.9.0-8....enter
il est écrit: lecture des listes de paquets ..fait
construction de l arbre des dépendances
lecture des informations d'état...fait
E:impossible de trouver le paquet linux-headers 4.9.0.8...
E:Couldn't find any package by glob ....
E: impossible de trouver de paquet correspondant a l expression rationnelle...

merci, je galère

Hors ligne

#2 19-10-2018 09:04:48

empanada
Membre
Distrib. : Debian 10 (Buster)
Noyau : 4.19.0-6-amd64
(G)UI : LXDE
Inscription : 19-09-2018

Re : debutant installation vmware

Il manque quelque chose dans le nom du paquet.

Avant l'installation, tu doit chercher le paquet qui existe réellement:

apt-cache search linux-headers |grep 4.9.0.8


Et en plus tu doit savoir quelle est ton architecture:

uname -r



Surement cette commande marche bien:

apt-get install linux-headers-$(uname -r)



Si t'en doutes, moi je préfère virtualbox . C'est presque tout le code libre, et c'est sur les dépôts debian (donc beaucoup plus simple d'installer et entretenir). Je l'utilise depuis dix années au boulot, pour des taches critiques.

Dernière modification par empanada (19-10-2018 09:07:36)


"blues are the roots and the other musics are the fruits" . Willie Dixon

Hors ligne

#3 19-10-2018 09:59:50

bgiovinal
Membre
Inscription : 28-03-2017

Re : debutant installation vmware

suite a la commande apt-cache , j obtiens

linux-headers-4.9.0-8-rt-amd64 - header files for linux 4.9.0-8-rt-amd64



uname -r


4.9.0-8-amd64

:
                             

apt-get install


lecture des listes de paquets ..fait
construction de l arbre des dépendances
lecture des informations d'état...fait
E:impossible de trouver le paquet linux-headers 4.9.0.8...
E:Couldn't find any package by glob ....
E: impossible de trouver de paquet correspondant a l expression rationnelle...

:

malheureusement ça ne change pas

Edit à toto : mis les codes du post avec le BBCode Autre code et Commande root.

Hors ligne

#4 19-10-2018 13:33:19

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : debutant installation vmware

Bonjour

il existe =>  https://packages.debian.org/stretch/lin … 8-rt-amd64

le retour de uname -a


uname -a
 

Dernière modification par robert2a (19-10-2018 13:35:51)

Hors ligne

#5 19-10-2018 13:55:02

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-12-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : debutant installation vmware

Bonjour
linux-headers 4.9.0.8 correspond a une multitude de paquet

E:Couldn't find any package by glob ....


Je pense que install doit traiter ta demande comme si tu lui avait mis linux-headers 4.9.0.8*

apt install linux-headers-4.9.0-8-rt-amd64


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#6 19-10-2018 16:22:29

empanada
Membre
Distrib. : Debian 10 (Buster)
Noyau : 4.19.0-6-amd64
(G)UI : LXDE
Inscription : 19-09-2018

Re : debutant installation vmware

bgiovinal, comme Croutons t'a dit, tu n'a pas mis la commande correcte. Ils manquent des caractères.

"linux-headers 4.9.0.8" n'a rien à avoir avec "linux-headers-4.9.0.8" (noter le "-") et pas non plus avec linux-headers-4.9.0.8-amd64 .

apt-get update


apt-get install linux-headers-$(uname -r)



Il faut faire attention a TOUS les caractères.


"blues are the roots and the other musics are the fruits" . Willie Dixon

Hors ligne

#7 19-10-2018 21:22:39

Kishore
Membre
Distrib. : Debian Buster 10
Noyau : Linux 4.16
(G)UI : Gnome 3
Inscription : 19-06-2018

Re : debutant installation vmware

Salut empanada,

J'ai récemment installé VMware Player 15, je suis passé par cette étape aussi.
Tu as juste besoin d'installer le paquet "linux-headers-4...." la version correspondante.

sudo apt-get update


sudo apt-get linux-headers-4...



A la 2ème commande fait des tabulations à partir du "4" pour voir les versions qu'il te propose.

Dernière modification par Kishore (19-10-2018 21:24:08)

Hors ligne

Pied de page des forums